## Program resources Program resources — Application resource management |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | anjuta_res_lookup_widget ()
GtkWidget * | anjuta_res_get_image ()
GtkWidget * | anjuta_res_get_image_sized ()
gchar * | anjuta_res_get_pixmap_dir ()
gchar * | anjuta_res_get_data_dir ()
gchar * | anjuta_res_get_help_dir ()
gchar * | anjuta_res_get_help_dir_locale ()
gchar * | anjuta_res_get_doc_dir ()
gchar * | anjuta_res_get_pixmap_file ()
gchar * | anjuta_res_get_data_file ()
gchar * | anjuta_res_get_help_file ()
gchar * | anjuta_res_get_help_file_locale ()
gchar * | anjuta_res_get_doc_file ()
void | anjuta_res_help_search ()
void | anjuta_res_url_show ()

## Includes

    #include <libanjuta/resources.h>

## Description

## Functions

### anjuta_res_lookup_widget ()

    GtkWidget *
    anjuta_res_lookup_widget (GtkWidget *widget,
                              const gchar *widget_name);

#### Returns

### anjuta_res_get_image ()

    GtkWidget *
    anjuta_res_get_image (const gchar *filename);

#### Returns

### anjuta_res_get_image_sized ()

    GtkWidget *
    anjuta_res_get_image_sized (const gchar *filename,
                                gint width,
                                gint height);

#### Returns

### anjuta_res_get_pixmap_dir ()

    gchar *
    anjuta_res_get_pixmap_dir (void);

#### Returns

### anjuta_res_get_data_dir ()

    gchar *
    anjuta_res_get_data_dir (void);

#### Returns

### anjuta_res_get_help_dir ()

    gchar *
    anjuta_res_get_help_dir (void);

#### Returns

### anjuta_res_get_help_dir_locale ()

    gchar *
    anjuta_res_get_help_dir_locale (const gchar *locale);

#### Returns

### anjuta_res_get_doc_dir ()

    gchar *
    anjuta_res_get_doc_dir (void);

#### Returns

### anjuta_res_get_pixmap_file ()

    gchar *
    anjuta_res_get_pixmap_file (const gchar *pixfile);

#### Returns

### anjuta_res_get_data_file ()

    gchar *
    anjuta_res_get_data_file (const gchar *pixfile);

#### Returns

### anjuta_res_get_help_file ()

    gchar *
    anjuta_res_get_help_file (const gchar *helpfile);

#### Returns

### anjuta_res_get_help_file_locale ()

    gchar *
    anjuta_res_get_help_file_locale (const gchar *helpfile,
                                     const gchar *locale);

#### Returns

### anjuta_res_get_doc_file ()

    gchar *
    anjuta_res_get_doc_file (const gchar *docfile);

#### Returns

### anjuta_res_help_search ()

    void
    anjuta_res_help_search (const gchar *word);

### anjuta_res_url_show ()

    void
    anjuta_res_url_show (const char *url);

## Types and Values